<bugID>659568<Summary>Make "browser/branding/unofficial" the default for Firefox unofficial builds</Summary><Description>Inspired by bug 657501.

In the past, a developer compiling their own Firefox tree got, by default, an app calling itself "Minefield". Our official nightly builds were also called "Minefield". Sufficiently generic, no problem.

But now that we actually call the official nightly builds "Nightly" (complete with fancy logo and branding), it's more confusing for your own build of Firefox to call itself "Nightly". It's not a nightly build, and certainly isn't from Mozilla.

We already have a branding flavor called "unofficial". In the past it was just "Browser" or "National Park" (eg "Gran Paradiso" for FF3), which got used for alpha releases of Firefox before we went to beta (at which point it used the full/official "Firefox" branding"). It's currently calling itself "Developer Preview" from the alpha-but-not-really that we released early in the Firefox 4 cycle.

We should freshen the "unofficial" branding back to just "Browser", and make that the default for when compiling Firefox. Official releases from Mozilla (nightly/aurora/beta/stable) wouldn't change.

Probably need to coordinate with releng to make sure official nightly builds are deliberately branded as such (ditto for Tinderbox builds). TryServer builds should probably be "unofficial" too?</Description></bugID>